<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Halaman Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" media="screen" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
    </head>
    <body>
        <div class="container">
            <div>
                <div class="row">
                    <div class="col-md-8">
                        <h1>Tampilkan Data</h1>
                    </div>
                    <!-- <div class="col-md-4">
                        <a href="/logout">
                            <button type="submit">Logout</button>
                        </a>
                    </div> -->
                </div>
                <button type="button" data-toggle="modal" data-target="#modalAdd">
                    Tambah Data
                </button>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <td>NO</td>
                            <td>Nama Barang</td>
                            <td>Aksi</td>
                        </tr>
                    </thead>
                    <tbody>
                        {% for row in products %}
                        <tr>
                            <td>{{ row.0}}</td>
                            <td>{{ row.1}}</td>
                            <td>
                                <a href='!#' class="btn btn-warning" data-toggle="modal" data-target="#modalEdit{{ row.0 }}">Edit</a>
                                <a href="/hapus/{{ row.0 }}" class="btn btn-danger" onclick="return confirm('Anda Yakin Mau Menghapus?')">Hapus</a>
                            </td>
                        </tr>
                        <div id="modalEdit{{ row.0 }}" class="modal fade" role="dialog">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        <h4 class="modal-title"> Edit Data </h4>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{ url_for('edit_data')}}" method="POST">
                                            <div class="form-group">
                                                <label>Nama Barang :</label>
                                                <input type="hidden" name="id" value="{{ row.0 }}">
                                                <input type="text" class="form-control" name="nama" value="{{ row.1 }}">
                                            </div>
                                            <div class="form-group">
                                                <button type="submit">Edit</button>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% else %}
                        <tr>
                            <td colspan="3">Data tidak ditemukan</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>

        <div id="modalAdd" class="modal fade" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"> Tambah Data </h4>
                    </div>
                    <div class="modal-body">
                        <form action="{{ url_for('tambah_data')}}" method="POST">
                            <div class="form-group">
                                <label>Nama Barang :</label>
                                <input type="text" class="form-control" name="nama">
                            </div>
                            <div class="form-group">
                                <button type="submit">Simpan</button>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>


        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </body>
</html>